git-annex-log(1)

NAME
git-annex-log - shows location log

SYNOPSIS
git annex log [path ...]

DESCRIPTION
Displays the location log for the specified file or files, showing each repository they were added to ("+") and removed from ("-"). Note that the location log is for the particular file contents currently at these paths, not for any different content that was there in earlier commits.

This displays information from the history of the git-annex branch. Several things can prevent that information being available to display. When git-annex-dead and git-annex-forget are used, old historical data gets cleared from the branch. When annex.private or remote.name.annex-private is configured, git-annex does not write information to the branch at all. And when annex.alwayscommit is set to false, information may not have been committed to the branch yet.

OPTIONS

--since=date, --after=date, --until=date, --before=date, --max-count=N

    These options are passed through to git log, and can be used to limit how far back to search for location log changes.

    For example: --since "1 month ago"

--raw-date
    Rather than the normal display of a date in the local time zone, displays seconds since the unix epoch.

--gource
    Generates output suitable for the gource visualization program.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

matching options
    The git-annex-matching-options(1) can be used to control what to act on.

--all -A
    Shows location log changes to all content, with the most recent changes first. In this mode, the names of files are not available and keys are displayed instead.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-forget(1)

AUTHOR
Joey Hess <id@joeyh.name>